From 17e7b089d6b7547c5a4c928ea1b08d587ecfef83 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 16 Aug 2017 00:22:32 -0400
Subject: [PATCH v2 6/9] Remove TRUE and FALSE

Code should be using true and false.  Existing code can be changed to
those in a backward compatible way.

The definitions in the ecpg header files are left around to avoid
upsetting those users unnecessarily.
---
 src/include/c.h | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

diff --git a/src/include/c.h b/src/include/c.h
index 78b1b0526f..6c412127f4 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -27,7 +27,7 @@
  *	  -------	------------------------------------------------
  *		0)		pg_config.h and standard system headers
  *		1)		hacks to cope with non-ANSI C compilers
- *		2)		bool, true, false, TRUE, FALSE
+ *		2)		bool, true, false
  *		3)		standard system types
  *		4)		IsValid macros for system types
  *		5)		offsetof, lengthof, alignment
@@ -184,7 +184,7 @@
 #endif
 
 /* ----------------------------------------------------------------
- *				Section 2:	bool, true, false, TRUE, FALSE
+ *				Section 2:	bool, true, false
  * ----------------------------------------------------------------
  */
 
@@ -211,14 +211,6 @@ typedef char bool;
 #endif
 #endif							/* not C++ */
 
-#ifndef TRUE
-#define TRUE	1
-#endif
-
-#ifndef FALSE
-#define FALSE	0
-#endif
-
 
 /* ----------------------------------------------------------------
  *				Section 3:	standard system types
-- 
2.11.0 (Apple Git-81)

